package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 商品规格实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@TableName("mp_goods_sku")
@Data
@ApiModel("商品规格实体类")
public class GoodsSku implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @ApiModelProperty("skuId,主键")
  @TableId(value = "sku_id", type = IdType.AUTO)
  private Long skuId;

  /**
   * 商品ID
   */
  @ApiModelProperty("商品id")
  @TableField("goods_id")
  private Long goodsId;

  /**
   * sku名称
   */
  @ApiModelProperty("sku名称")
  @TableField("name")
  private String name;

  /**
   * 图片
   */
  @ApiModelProperty("图片")
  @TableField("pic_url")
  private String picUrl;

  /**
   * 属性组合字符串 格式是p1:v1;p2:v2
   */
  @ApiModelProperty("属性组合字符串 格式是p1:v1;p2:v2")
  @TableField("properties")
  private String properties;

  /**
   * 原兑换价格
   */
  @ApiModelProperty("原兑换价格")
  @TableField("origin_price")
  private Integer originPrice;

  /**
   * 现兑换价格
   */
  @ApiModelProperty("现兑换价格")
  @TableField("exchange_price")
  private Integer exchangePrice;

  /**
   * 商品价格
   */
  @ApiModelProperty("商品价格")
  @TableField("value")
  private Integer value;

  /**
   * 商品成本
   */
  @ApiModelProperty("商品成本")
  @TableField("cost")
  private Integer cost;

  /**
   * 库存数
   */
  @ApiModelProperty("库存数")
  @TableField("quantity")
  private Integer quantity;

  /**
   * 已兑换数
   */
  @ApiModelProperty("已兑换数")
  @TableField("sold_qty")
  private Integer soldQty;

  /**
   * 创建时间
   */
  @ApiModelProperty("创建时间")
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @ApiModelProperty("更新时间")
  @TableField("updated_time")
  private Date updatedTime;


}
